%global	gemdir		%(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global	gemname	isolate
%global	geminstdir	%{gemdir}/gems/%{gemname}-%{version}

%global	rubyabi	1.8

Summary:	Very simple RubyGems sandbox

Name:		rubygem-%{gemname}
Version:	3.0.0
Release:	1%{?dist}
Group:		Development/Languages
License:	MIT
URL:		http://github.com/jbarnette/isolate
Source0:	http://rubygems.org/downloads/%{gemname}-%{version}.gem

BuildArch:	noarch

BuildRequires:	ruby(abi) = %{rubyabi}
BuildRequires:	rubygems
BuildRequires(check):	rubygem(hoe)
BuildRequires(check):	rubygem(minitest)
BuildRequires(check):	rubygem(rake)

Requires:	ruby(abi) = %{rubyabi}
Requires:	rubygems

Provides:	rubygem(%{gemname}) = %{version}

%description
Isolate is a very simple RubyGems sandbox. It provides a way to
express and automatically install your project's Gem dependencies.

%package	doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description	doc
This package contains documentation for %{name}.

%prep
%setup -q -c -T

mkdir -p .%{gemdir}
gem install \
	--local \
	--install-dir $(pwd)%{gemdir} \
	--force \
	--rdoc \
	-V \
	%{SOURCE0}

chmod 0644 .%{gemdir}/cache/%{gemname}-%{version}.gem

%build

%install
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* %{buildroot}%{gemdir}/

# cleanup
rm -f %{buildroot}%{geminstdir}/.autotest

%check
pushd .%{geminstdir}
rake test --trace

%files
%defattr(-,root,root,-)
%dir	%{geminstdir}
%doc	%{geminstdir}/CHANGELOG.rdoc
%doc	%{geminstdir}/README.rdoc
%{geminstdir}/lib/
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-,root,root,-)
%{geminstdir}/Manifest.txt
%{geminstdir}/Rakefile
%{geminstdir}/test/
%{gemdir}/doc/%{gemname}-%{version}

%changelog
* Sat Nov 27 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 3.0.0-1
- Initial package
